package org.expeditee.items;

import java.util.ArrayList;
import java.util.List;

public class Data {
	
	private List<String> entries = new ArrayList<String>();
	
	/**
	 * @return The entries in the data.
	 */
	public List<String> getData() {
		return entries;
	}
	
	/**
	 * Sets data entries to parameter unless parameter is empty or null, in which case it sets the data entries to null.
	 * @param data The list of strings to set as the entries to the data.
	 */
	public void setData(List<String> data) {
		if (data == null || data.isEmpty()) {
			entries = null;
		} else {
			entries = data;
		}
	}
	
	/**
	 * Sets data entries to new list with parameter in it unless parameter is empty or null, in which case it sets _data to null.
	 * @param data The data that will be the only data entry. 
	 */
	public void setData(String data) {
		if (data == null || data.isEmpty()) {
			entries = null;
		} else {
			entries = new ArrayList<String>();
			entries.add(data);
		}
	}
	
	/**
	 * Adds parameter to data entries.
	 * @param data The data to add.
	 */
	public void addToData(String data) {
		if (data != null) {
			if (entries == null)
				entries = new ArrayList<String>();
			entries.add(data);
		}
	}
	
	public boolean hasData(String data) {
		if (entries != null && data != null && data.length() > 0) {
			for (final String d : entries) {
				if (d.compareTo(data) == 0) {
					return true;
				}
			}
		}
		return false;
	}
}
